Package Details: firefox-nightly-i18n-zh-tw 106.0a1.20220827.173411-1

Git Clone URL: https://aur.archlinux.org/firefox-nightly-i18n.git (read-only, click to copy)
Package Base: firefox-nightly-i18n
Description: Language pack for Firefox Nightly
Upstream URL: https://www.mozilla.org/firefox/
Keywords: browser i18n translations web
Licenses: GPL, MPL, LGPL
Provides: firefox-nightly-i18n
Submitter: swiftgeek
Maintainer: None
Last Packager: FredBezies
Votes: 9
Popularity: 0.000198
First Submitted: 2013-08-30 23:16 (UTC)
Last Updated: 2022-09-12 18:32 (UTC)

Required by (0)

Sources (95)

Pinned Comments

swiftgeek commented on 2015-04-01 03:55 (UTC)

If somebody has no idea what this package does - it grabs language packs in xpi form from mozilla ftp, matching to uncommented entries from /etc/locale.gen Available LANG-packs on the server (as of today, this is automagically found out on the server): ar ast cs de en-GB eo es-AR es-CL es-ES es-MX fa fr fy-NL gl he hu id it ja-JP-mac ja kk ko lt lv nb-NO nl nn-NO oc pl pt-BR pt-PT ru sk sl sv-SE th tr uk vi zh-CN zh-TW ar ast cs de en-GB eo es-AR es-CL es-ES es-MX fa fr fy-NL gl he hu id it ja-JP-mac ja kk ko lt lv nb-NO nl nn-NO oc pl pt-BR pt-PT ru sk sl sv-SE th tr uk vi zh-CN zh-TW Before installing you should set extensions.autoDisableScopes to 11 (just like the stable has by default - but nightly doesn't). Sadly i cannot add this as a vendor pref without a lockPref due to unknown bug ( http://kb.mozillazine.org/Lock_Prefs , http://mike.kaply.com/2012/02/09/integrating-add-ons-into-firefox/ , https://bugzilla.mozilla.org/show_bug.cgi?id=779437 )

Latest Comments

1 2 3 4 Next › Last »

bittin commented on 2022-08-22 17:43 (UTC)

langpack points to 104 instead of 105, 106

xuiqzy commented on 2022-07-28 17:24 (UTC)

Should require firefox-nightly now after there is again only a normal firefox-nightly package in the AUR and in a repository by heftig.

ridge commented on 2022-03-12 17:08 (UTC)

I'm getting the same error as xuiqzy, Firefox Nightly is at 100.0a1 now but the language packs point to 99.0a1.

xuiqzy commented on 2022-01-20 15:11 (UTC)

SHA sums seem to be outdated:

==> Validating source files with sha256sums...
    firefox-i18n-98.0a1-ach.xpi ... FAILED
    firefox-i18n-98.0a1-af.xpi ... FAILED
    firefox-i18n-98.0a1-an.xpi ... FAILED
    firefox-i18n-98.0a1-ar.xpi ... FAILED
    firefox-i18n-98.0a1-ast.xpi ... FAILED
    firefox-i18n-98.0a1-az.xpi ... FAILED
    firefox-i18n-98.0a1-be.xpi ... FAILED
    firefox-i18n-98.0a1-bg.xpi ... FAILED
    firefox-i18n-98.0a1-bn.xpi ... FAILED
    firefox-i18n-98.0a1-br.xpi ... FAILED
    firefox-i18n-98.0a1-bs.xpi ... FAILED
    firefox-i18n-98.0a1-ca-valencia.xpi ... FAILED
    firefox-i18n-98.0a1-ca.xpi ... FAILED
    firefox-i18n-98.0a1-cak.xpi ... FAILED
    firefox-i18n-98.0a1-cs.xpi ... FAILED
    firefox-i18n-98.0a1-cy.xpi ... FAILED
    firefox-i18n-98.0a1-da.xpi ... FAILED
    firefox-i18n-98.0a1-de.xpi ... FAILED
    firefox-i18n-98.0a1-dsb.xpi ... FAILED
    firefox-i18n-98.0a1-el.xpi ... FAILED
    firefox-i18n-98.0a1-en-CA.xpi ... FAILED
    firefox-i18n-98.0a1-en-GB.xpi ... FAILED
    firefox-i18n-98.0a1-eo.xpi ... FAILED
    firefox-i18n-98.0a1-es-AR.xpi ... FAILED
    firefox-i18n-98.0a1-es-CL.xpi ... FAILED
    firefox-i18n-98.0a1-es-ES.xpi ... FAILED
    firefox-i18n-98.0a1-es-MX.xpi ... FAILED
    firefox-i18n-98.0a1-et.xpi ... FAILED
    firefox-i18n-98.0a1-eu.xpi ... FAILED
    firefox-i18n-98.0a1-fa.xpi ... FAILED
    firefox-i18n-98.0a1-ff.xpi ... FAILED
    firefox-i18n-98.0a1-fi.xpi ... FAILED
    firefox-i18n-98.0a1-fr.xpi ... FAILED
    firefox-i18n-98.0a1-fy-NL.xpi ... FAILED
    firefox-i18n-98.0a1-ga-IE.xpi ... FAILED
    firefox-i18n-98.0a1-gd.xpi ... FAILED
    firefox-i18n-98.0a1-gl.xpi ... FAILED
    firefox-i18n-98.0a1-gn.xpi ... FAILED
    firefox-i18n-98.0a1-gu-IN.xpi ... FAILED
    firefox-i18n-98.0a1-he.xpi ... FAILED
    firefox-i18n-98.0a1-hi-IN.xpi ... FAILED
    firefox-i18n-98.0a1-hr.xpi ... FAILED
    firefox-i18n-98.0a1-hsb.xpi ... FAILED
    firefox-i18n-98.0a1-hu.xpi ... FAILED
    firefox-i18n-98.0a1-hy-AM.xpi ... FAILED
    firefox-i18n-98.0a1-ia.xpi ... FAILED
    firefox-i18n-98.0a1-id.xpi ... FAILED
    firefox-i18n-98.0a1-is.xpi ... FAILED
    firefox-i18n-98.0a1-it.xpi ... FAILED
    firefox-i18n-98.0a1-ja.xpi ... FAILED
    firefox-i18n-98.0a1-ka.xpi ... FAILED
    firefox-i18n-98.0a1-kab.xpi ... FAILED
    firefox-i18n-98.0a1-kk.xpi ... FAILED
    firefox-i18n-98.0a1-km.xpi ... FAILED
    firefox-i18n-98.0a1-kn.xpi ... FAILED
    firefox-i18n-98.0a1-ko.xpi ... FAILED
    firefox-i18n-98.0a1-lij.xpi ... FAILED
    firefox-i18n-98.0a1-lt.xpi ... FAILED
    firefox-i18n-98.0a1-lv.xpi ... FAILED
    firefox-i18n-98.0a1-mk.xpi ... FAILED
    firefox-i18n-98.0a1-mr.xpi ... FAILED
    firefox-i18n-98.0a1-ms.xpi ... FAILED
    firefox-i18n-98.0a1-my.xpi ... FAILED
    firefox-i18n-98.0a1-nb-NO.xpi ... FAILED
    firefox-i18n-98.0a1-ne-NP.xpi ... FAILED
    firefox-i18n-98.0a1-nl.xpi ... FAILED
    firefox-i18n-98.0a1-nn-NO.xpi ... FAILED
    firefox-i18n-98.0a1-oc.xpi ... FAILED
    firefox-i18n-98.0a1-pa-IN.xpi ... FAILED
    firefox-i18n-98.0a1-pl.xpi ... FAILED
    firefox-i18n-98.0a1-pt-BR.xpi ... FAILED
    firefox-i18n-98.0a1-pt-PT.xpi ... FAILED
    firefox-i18n-98.0a1-rm.xpi ... FAILED
    firefox-i18n-98.0a1-ro.xpi ... FAILED
    firefox-i18n-98.0a1-ru.xpi ... FAILED
    firefox-i18n-98.0a1-si.xpi ... FAILED
    firefox-i18n-98.0a1-sk.xpi ... FAILED
    firefox-i18n-98.0a1-sl.xpi ... FAILED
    firefox-i18n-98.0a1-son.xpi ... FAILED
    firefox-i18n-98.0a1-sq.xpi ... FAILED
    firefox-i18n-98.0a1-sr.xpi ... FAILED
    firefox-i18n-98.0a1-sv-SE.xpi ... FAILED
    firefox-i18n-98.0a1-ta.xpi ... FAILED
    firefox-i18n-98.0a1-te.xpi ... FAILED
    firefox-i18n-98.0a1-th.xpi ... FAILED
    firefox-i18n-98.0a1-tl.xpi ... FAILED
    firefox-i18n-98.0a1-tr.xpi ... FAILED
    firefox-i18n-98.0a1-trs.xpi ... FAILED
    firefox-i18n-98.0a1-uk.xpi ... FAILED
    firefox-i18n-98.0a1-ur.xpi ... FAILED
    firefox-i18n-98.0a1-uz.xpi ... FAILED
    firefox-i18n-98.0a1-vi.xpi ... FAILED
    firefox-i18n-98.0a1-xh.xpi ... FAILED
    firefox-i18n-98.0a1-zh-CN.xpi ... FAILED
    firefox-i18n-98.0a1-zh-TW.xpi ... FAILED
==> ERROR: One or more files did not pass the validity check!
 -> error downloading sources: firefox-nightly-i18n 
     context: exit status 1

hayao commented on 2021-06-10 09:41 (UTC)

Consistency check fails no matter how many times

jwtiyar commented on 2020-09-29 15:06 (UTC)

Hey Can you please add ckb packagw also? because already avaialable from firefox for nightly build.

gardenappl commented on 2020-05-15 12:20 (UTC)

I'm also getting a (different) error:

==> ERROR: pkgver is not allowed to contain colons, forward slashes, hyphens or whitespace.
==> ERROR: pkgver() generated an invalid version:   -> Installed firefox-nightly is newer than 64.0a1. Bumping to 78.0a1.20200514-1
78.0a1.20200514

DAC324 commented on 2020-03-23 08:17 (UTC) (edited on 2020-03-23 08:20 (UTC) by DAC324)

This package seems to have an error somewhere (can't install):

==> Making package: firefox-nightly-i18n 64.0a1.20180916-1 (Mon Mar 23 09:15:54 2020)
==> Retrieving sources...
==> Making package: firefox-nightly-i18n 64.0a1.20180916-1 (Mon Mar 23 09:15:55 2020)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> Retrieving sources...
==> Removing existing $srcdir/ directory...
==> Extracting sources...
==> Starting pkgver()...
sed: can't read /var/lib/pacman/local/firefox-nightly-??.?a?.????????-*/desc: No such file or directory
==> ERROR: A failure occurred in pkgver().
    Aborting...
Error making: firefox-nightly-i18n
Also, it looks like the package as such needs an update: Version is still
64.0a1.20180916-1
while latest Firefox nightly package from AUR has
76.0a1.20200322.23-1
.

swiftgeek commented on 2018-09-16 16:07 (UTC) (edited on 2018-09-16 16:11 (UTC) by swiftgeek)

@eschwartz: Simple sed command is far from being "database parser" and it's much more efficient than running pacman for such trivial information